LoadAddOn("Blizzard_CombatText")
-- ignore HOT and DOT
COMBAT_TEXT_TYPE_INFO["PERIODIC_HEAL"] = {var = nil, show = nil}
COMBAT_TEXT_TYPE_INFO["HEAL_CRIT"] = {var = nil, show = nil}
COMBAT_TEXT_TYPE_INFO["HEAL"] = {var = nil, show = nil}
COMBAT_TEXT_TYPE_INFO["PERIODIC_HEAL_ABSORB"] = {var = nil, show = nil}
COMBAT_TEXT_TYPE_INFO["HEAL_CRIT_ABSORB"] = {var = nil, show = nil}
COMBAT_TEXT_TYPE_INFO["HEAL_ABSORB"] = {var = nil, show = nil}
COMBAT_TEXT_TYPE_INFO["PERIODIC_HEAL_CRIT"] = {var = nil, show = nil}

COMBAT_TEXT_TYPE_INFO["DAMAGE_CRIT"] = {var = nil, show = nil}
COMBAT_TEXT_TYPE_INFO["DAMAGE"] = {var = nil, show = nil}
COMBAT_TEXT_TYPE_INFO["SPELL_DAMAGE_CRIT"] = {var = nil, show = nil}
COMBAT_TEXT_TYPE_INFO["SPELL_DAMAGE"] = {var = nil, show = nil}

CombatText:SetScale(.8); -- combat text scale


-- move and scale Player and Target frame
-- hooksecurefunc("PlayerFrame_ToPlayerArt",function()
-- 	PlayerFrame:ClearAllPoints()
-- 	PlayerFrame:SetPoint("TOPLEFT", UIParent,"TOPLEFT", 210, -27)
-- 	TargetFrame:ClearAllPoints()
-- 	PlayerFrame.SetPoint = function() end
-- 	TargetFrame:SetPoint("TOPLEFT", PlayerFrame,260, 0)
-- 	PlayerFrame:SetScale(1.05)
-- 	TargetFrame:SetScale(1.05)
-- 	TargetFrame.SetPoint = function() end
-- 	PetFrame:SetScale(0.9)
-- 	PetFrame:ClearAllPoints() 
-- 	PetFrame:SetPoint("CENTER", PlayerFrame,0, -60)
-- 	-- PetFrame:Hide()
-- end)









-- -- Change the format of hp/mana text to absolute values ("140k"):
hooksecurefunc("TextStatusBar_UpdateTextStringWithValues", function()
        PlayerFrameHealthBar.TextString:SetText(AbbreviateLargeNumbers(UnitHealth("player")))
        PlayerFrameManaBar.TextString:SetText(AbbreviateLargeNumbers(UnitMana("player")))

        TargetFrameHealthBar.TextString:SetText(AbbreviateLargeNumbers(UnitHealth("target")))
        TargetFrameManaBar.TextString:SetText(AbbreviateLargeNumbers(UnitMana("target")))

        -- FocusFrameHealthBar.TextString:SetText(AbbreviateLargeNumbers(UnitHealth("focus")))
        -- FocusFrameManaBar.TextString:SetText(AbbreviateLargeNumbers(UnitMana("focus")))
        FocusFrameHealthBar.TextString:SetText()
        FocusFrameManaBar.TextString:SetText(AbbreviateLargeNumbers(UnitMana("focus")))

        -- PetFrameHealthBar.TextString:SetText(AbbreviateLargeNumbers(UnitHealth("pet")))
        -- PetFrameManaBar.TextString:SetText(AbbreviateLargeNumbers(UnitMana("pet")))
        PetFrameHealthBar.TextString:SetText()
        PetFrameManaBar.TextString:SetText()
        -- ArenaEnemyFramesHealthBar.TextString:SetText()
        -- ArenaFrameManaBar.TextString:SetText()
        -- ArtifactWatchBar.OverlayFrame.Text:SetText( ArtifactWatchBar.xpForNextPoint )
        -- ArtifactWatchBar.OverlayFrame.Text:SetText( ArtifactWatchBar.xp )
end)
-- function MainMenuBar_UpdateArtifactBars(newLevel)
-- 	        ArtifactWatchBar.OverlayFrame.Text:SetText( ArtifactWatchBar.xpForNextPoint - ArtifactWatchBar.xp )
-- end





-- hooksecurefunc("ArtifactWatchBar", function(self)
-- 	ArtifactWatchBar.OverlayFrame.Text:SetText( ArtifactWatchBar.xpForNextPoint - ArtifactWatchBar.xp )
-- end)



-- ArtifactWatchBar:SetScript('OnEnter', function(self, event, ...)
-- 	ArtifactWatchBar.OverlayFrame.Text:SetText( ArtifactWatchBar.xpForNextPoint - ArtifactWatchBar.xp )
-- end)

-- ab:RegisterEvent("PLAYER_ENTERING_WORLD")
-- ab:RegisterEvent("ARTIFACT_XP_UPDATE")
-- ab:RegisterEvent("UNIT_INVENTORY_CHANGED")
-- ab:SetScript("OnEvent", function(self, event, ...)
--         local showArtifact = HasArtifactEquipped()
-- 	ArtifactWatchBar.OverlayFrame.Text:SetText( ArtifactWatchBar.xpForNextPoint - ArtifactWatchBar.xp )
--     end)



-- for _,v in next,{ReputationWatchBar,ArtifactWatchBar,HonorWatchBar,MainMenuExpBar} do v:UnregisterAllEvents()v:Hide()v.Show = v.Hide;end







-- HonorWatchBar:Hide();
-- HonorWatchBar.OverlayFrame:Hide();
-- HonorWatchBar.StatusBar:Hide();
-- ArtifactWatchBar:Hide();
-- ArtifactWatchBar.OverlayFrame:Hide();
-- ArtifactWatchBar.StatusBar:Hide();


-- Disable healing/damage spam over player/pet frame:
PlayerHitIndicator:SetText(nil)
PlayerHitIndicator.SetText = function() end

PetHitIndicator:SetText(nil)
PetHitIndicator.SetText = function() end





-- modify console variables
local function eventHandler(self,event,...)
	SetCVar("nameplateMinAlpha", "0.3")
	SetCVar("nameplateMaxAlpha", "0.6")
	SetCVar("findYourselfAnywhere", 1)
	SetCVar("floatingCombatTextCombatState", 1)
	SetCVar("floatingCombatTextReactives", 1)
end
local frame = CreateFrame("Frame","CVarSet")
frame:RegisterEvent("PLAYER_ENTERING_WORLD")
frame:RegisterEvent("PLAYER_LOGIN")
frame:RegisterEvent("PARTY_MEMBERS_CHANGED")
frame:SetScript("OnEvent",eventHandler)

PlayerFrame:SetUserPlaced(false)
PlayerFrame:SetUserPlaced(true)
PlayerFrame:ClearAllPoints()
PlayerFrame:SetPoint("TOPLEFT", 210, -27)
PlayerFrame:SetScale(1.05)
PlayerFrame:SetUserPlaced(true)

TargetFrame:SetUserPlaced(false)
TargetFrame:SetUserPlaced(true)
TargetFrame:ClearAllPoints()
TargetFrame:SetPoint("CENTER",PlayerFrame,260, 0)
TargetFrame:SetScale(1.05)
TargetFrame:SetUserPlaced(true)




-- Hide keybinds
-- for i=1, 12 do
-- _G["ActionButton"..i.."HotKey"]:SetAlpha(0) -- 메인 바
-- _G["MultiBarBottomRightButton"..i.."HotKey"]:SetAlpha(0) -- 오른쪽 아래 바
-- _G["MultiBarBottomLeftButton"..i.."HotKey"]:SetAlpha(0) -- 왼쪽 아래 바
-- _G["MultiBarRightButton"..i.."HotKey"]:SetAlpha(0) -- 오른쪽 바
-- _G["MultiBarLeftButton"..i.."HotKey"]:SetAlpha(0) -- 왼쪽 바
-- end
-- Hide macro names
for i=1, 12 do     
	_G["ActionButton"..i.."Name"]:SetAlpha(0) -- 메인 바
	_G["MultiBarBottomRightButton"..i.."Name"]:SetAlpha(0) -- 오른쪽 아래 바
	_G["MultiBarBottomLeftButton"..i.."Name"]:SetAlpha(0) -- 왼쪽 아래 바
	_G["MultiBarRightButton"..i.."Name"]:SetAlpha(0) -- 오른쪽 바
	_G["MultiBarLeftButton"..i.."Name"]:SetAlpha(0) -- 왼쪽 바
end


-- LossofCtrl frame scaler
LossOfControlFrame:SetScale(0.9)

-- Lootframe Scaler
LootFrame:SetScale(0.9)



-- Nameplate debuff scaler
local function fn(...) for _,v in pairs(C_NamePlate.GetNamePlates())
do
  local bf=v.UnitFrame.BuffFrame bf:SetScale(1.3)     --  SetScale(기본 값 1 크기 수정)
 end
end 
NamePlateDriverFrame:HookScript("OnEvent",fn)
local function fn(...) for _,v in pairs(C_NamePlate.GetNamePlates()) do local bf=v.UnitFrame.BuffFrame bf:SetScale(1.5) end end NamePlateDriverFrame:HookScript("OnEvent",fn)



MainMenuBarLeftEndCap:Hide()
MainMenuBarRightEndCap:Hide() -- hide the gryphons\
MainMenuBarTexture0:Hide() -- hide all the background textures.
MainMenuBarTexture1:Hide() -- leaving them on looks better,

local playerClass, englishClass = UnitClass("player");
if englishClass == "WARRIOR" then 
local frame_warrior = CreateFrame("FRAME")
frame_warrior:RegisterEvent("UNIT_AURA")
frame_warrior:SetScript("OnEvent", function(self, event, ...)
        local unitid = ... if unitid ~= "player" then return end
        local playerClass, englishClass = UnitClass("player"); if englishClass ~= "WARRIOR" then return end

        if UnitBuff("player", "Overpower!") then
                SpellActivationOverlay_ShowOverlay(SpellActivationOverlayFrame, 64371, "TEXTURES\\SPELLACTIVATIONOVERLAYS\\MAELSTROM_WEAPON.BLP", "TOP", 1.2, 255, 2, 50, false, false)
        else
                SpellActivationOverlay_HideOverlays(SpellActivationOverlayFrame, 64371)
        end
end)
elseif englishClass == "SHAMAN" then 
	local frame_shaman1 = CreateFrame("FRAME")
	frame_shaman1:RegisterEvent("UNIT_AURA")
	frame_shaman1:SetScript("OnEvent", function(self, event, ...)
	        local unitid = ... if unitid ~= "player" then return end
	        local playerClass, englishClass = UnitClass("player"); if englishClass ~= "SHAMAN" then return end
	        if UnitBuff("player", "Undulation") then
	                SpellActivationOverlay_ShowOverlay(SpellActivationOverlayFrame, 200071, "TEXTURES\\SPELLACTIVATIONOVERLAYS\\MAELSTROM_WEAPON.BLP", "TOP", 1.1, 102, 232, 102, false, false)
	        else
	                SpellActivationOverlay_HideOverlays(SpellActivationOverlayFrame, 200071)
	        end
	end)

	local frame_shaman2 = CreateFrame("FRAME")
	frame_shaman2:RegisterEvent("UNIT_AURA")
	frame_shaman2:SetScript("OnEvent", function(self, event, ...)
	        local unitid = ... if unitid ~= "player" then return end
	        local playerClass, englishClass = UnitClass("player"); if englishClass ~= "SHAMAN" then return end
	        if UnitBuff("player", "Queen Ascendant") then
	                SpellActivationOverlay_ShowOverlay(SpellActivationOverlayFrame, 207285, "TEXTURES\\SPELLACTIVATIONOVERLAYS\\arcane_missiles.BLP", "LEFT", 1.1, 0, 240, 240, false, false)
	                SpellActivationOverlay_ShowOverlay(SpellActivationOverlayFrame, 2072851, "TEXTURES\\SPELLACTIVATIONOVERLAYS\\arcane_missiles.BLP", "RIGHT", 1.1, 0, 240, 240, false, true)
	        else
	                SpellActivationOverlay_HideOverlays(SpellActivationOverlayFrame, 207285)
	                SpellActivationOverlay_HideOverlays(SpellActivationOverlayFrame, 2072851)
	        end
	end)

elseif englishClass == "ROGUE" then
	print('     [running rogue script]')
	local f=CreateFrame("frame")
	StanceBarFrame:SetParent(f)
	f:Hide()
-- 	StanceBarFrame:SetScript("OnEvent", nil);
-- RegisterStateDriver(StanceBarFrame, "visibility", "hide");
-- StanceBarFrame:Hide()
	ClassNameplateBarRogueDruidFrame:SetScale(1.5)
elseif englishClass == "DEATHKNIGHT" then
	print('     [running DK script]')
	DeathKnightResourceOverlayFrame:SetScale(1.7)
	for i=1,6 do 
		_G["RuneButtonIndividual"..i ].Cooldown:SetHideCountdownNumbers(false) 
	end;

	DeathKnightResourceOverlayFrame.Rune1.Cooldown:SetHideCountdownNumbers(false)
	DeathKnightResourceOverlayFrame.Rune2.Cooldown:SetHideCountdownNumbers(false)
	DeathKnightResourceOverlayFrame.Rune3.Cooldown:SetHideCountdownNumbers(false)
	DeathKnightResourceOverlayFrame.Rune4.Cooldown:SetHideCountdownNumbers(false)
	DeathKnightResourceOverlayFrame.Rune5.Cooldown:SetHideCountdownNumbers(false)
	DeathKnightResourceOverlayFrame.Rune6.Cooldown:SetHideCountdownNumbers(false)
else
	return;
		-- local playerClass, englishClass = UnitClass("player");
		-- ChatFrame1:AddMessage('Your player is a : ' .. playerClass .. '; ' .. englishClass .. '.');
end

if englishClass == "SHAMAN" then 
	print('party sorter activated')
	LoadAddOn("Blizzard_CompactRaidFrames") 
	CRFSort_Group=function(t1, t2) 
	if UnitIsUnit(t1,"player") then 
		return false 
	elseif UnitIsUnit(t2,"player") then 
		return true 
	else 
		return t1 < t2 
	end 
	end 
	CompactRaidFrameContainer.flowSortFunc=CRFSort_Group
end
